> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list by code



## OpenAPI

````yaml get /lists/by-code/{code}
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /lists/by-code/{code}:
    get:
      tags:
        - Lists
      summary: Get list by code
      operationId: getListByCode
      parameters:
        - name: code
          in: path
          description: List QR code
          required: true
          example: abcde12345
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ListPrice'
                  success:
                    type: boolean
        '401':
          description: Unauthorized
        '404':
          description: List not found
      security:
        - ApiKey: []
components:
  schemas:
    ListPrice:
      type: object
      properties:
        _id:
          type: string
          example: '1683803249490'
        men:
          type: integer
          example: 2
        women:
          type: integer
          example: 1
        no_gender:
          type: integer
          example: 0
        price:
          type: number
          format: float
          example: 50
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````